# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::VCardFormat Class Reference

`#include <vcardformat.h>`

Inheritance diagram for KABC::VCardFormat:

[legend]
Collaboration diagram for KABC::VCardFormat:

[legend]
List of all members.

## Public Member Functions

bool | load (AddressBook *, const QString &fileName)
bool | save (AddressBook *, const QString &fileName)

## Detailed Description

Deprecated:
  use VCardFormatPlugin instead.

Definition at line 35 of file vcardformat.h.

## Member Function Documentation

bool VCardFormat::load | ( | AddressBook * | ,
|  | const QString & | fileName
| ) | `[virtual]`

| Load addressbook from file. Implements KABC::Format. Definition at line 37 of file vcardformat.cpp. References QFile::close(), KABC::VCardFormatImpl::loadAll(), and QFile::open().

bool VCardFormat::save | ( | AddressBook * | ,
|  | const QString & | fileName
| ) | `[virtual]`

| Save addressbook to file. Implements KABC::Format. Definition at line 49 of file vcardformat.cpp. References QFile::close(), QFile::open(), and KABC::VCardFormatImpl::saveAll().

The documentation for this class was generated from the following files:

- vcardformat.h
- vcardformat.cpp

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:55 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003